Skip to main content
POST
/
generate
/
ad-copy
Generate ad copy
curl --request POST \
  --url https://ai.wisepilot.app/api/v1/generate/ad-copy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "platform": "google",
  "campaign_context": "<string>",
  "website_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ad_type": "rsa",
  "target_icp_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model": "<string>"
}
'
{
  "success": true,
  "data": {
    "success": true,
    "content": "<unknown>",
    "error": "<string>",
    "evalResult": {
      "score": 123,
      "passed": true
    }
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Body

application/json
platform
enum<string>
required
Available options:
google,
meta
campaign_context
string
required
website_id
string<uuid>
ad_type
enum<string>
Available options:
rsa,
single_image,
carousel,
dco
target_icp_id
string<uuid>
model
string

Response

Generated ad copy

success
boolean
required
data
object